Summary: A library for text mode user interfaces
Name: newt
Version: 0.52.11
Release: 3
License: LGPLv2
Group: System Environment/Libraries
URL: https://fedorahosted.org/newt/
Source: https://fedorahosted.org/releases/n/e/newt/newt-%{version}.tar.gz
Patch0: newt-0.52.11-nosnacknls.patch
Patch1: newt-0.52.11-customcolors.patch
Patch2: newt-nopython.patch
BuildRequires: popt-devel slang-devel
Provides: snack = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%package devel
Summary: Newt windowing toolkit development files
Requires: slang-devel %{name} = %{version}-%{release}
Group: Development/Libraries

# The loader portion of the installer needs to link statically against libnewt,
# so the static library must be shipped.
%package static
Summary: Newt windowing toolkit static library
Requires: %{name}-devel = %{version}-%{release}
Group: Development/Libraries

%Description
Newt is a programming library for color text mode, widget based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
checkboxes, radio buttons, labels, plain text fields, scrollbars,
etc., to text mode user interfaces.  This package also contains the
shared library needed by programs built with newt, as well as a
/usr/bin/dialog replacement called whiptail.  Newt is based on the
slang library.

%description devel
The newt-devel package contains the header files and libraries
necessary for developing applications which use newt.  Newt is a
development library for text mode user interfaces.  Newt is based on
the slang library.

Install newt-devel if you want to develop applications which will use
newt.

%description static
The newt-static package contains the static version of the newt library.
Install it if you need to link statically with libnewt.

%prep
%setup -q
%patch0 -p1 -b .nosnacknls
%patch1 -p1 -b .customcolors
%patch2 -p1 -b .nopython

%build
# gpm support seems to smash the stack w/ we use help in anaconda??
# --with-gpm-support
autoreconf
%configure --without-tcl --without-python
make %{?_smp_mflags} all
chmod 0644 peanuts.py popcorn.py

%install
rm -rf $RPM_BUILD_ROOT
make instroot=$RPM_BUILD_ROOT install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr (-,root,root)
%doc COPYING
%{_bindir}/whiptail
%{_libdir}/libnewt.so.*
%{_mandir}/man1/whiptail.1*

%files devel
%defattr (-,root,root)
%doc tutorial.*
%{_includedir}/newt.h
%{_libdir}/libnewt.so
%{_libdir}/pkgconfig/libnewt.pc

%files static
%defattr(-,root,root)
%{_libdir}/libnewt.a

%changelog
* Thu Jan 16 2015 Bruno Cornec <bruno@mondorescue.org> - 0.52.11-4
- Build a version ofr MondoRescue for SLES 12

